org.apache.tapestry5.internal.plastic

## Enum TypeCategory

- java.lang.Object
- - java.lang.Enum<TypeCategory>
  - - org.apache.tapestry5.internal.plastic.TypeCategory

- All Implemented Interfaces:
    Serializable, Comparable<TypeCategory>

      public enum TypeCategory
      extends Enum<TypeCategory>

  Defines the two basic kinds of non-primitive, non-array Java types: interfaces and classes.
  See Also:
    `InstructionBuilder.invokeVirtual(String, String, String, String...)`, `InstructionBuilder.invokeInterface(String, String, String, String...)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `INTERFACE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERFACE

          public static final TypeCategory INTERFACE

    - #### CLASS

          public static final TypeCategory CLASS

  - ### Method Detail

    - #### values

          public static TypeCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeCategory c : TypeCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.